XGPS160 issues

Help on issues you run into with LapTimer; in case you have a question on how to use LapTimer, use the forum "Using LapTimer" instead
User avatar
Harry
Site Admin
Site Admin
Posts: 8341
Joined: Sun Sep 12, 2010 10:32 am
Location: Cologne, Germany
Has thanked: 97 times
Been thanked: 347 times
Contact:

Re: XGPS160 issues

Postby Harry » Wed Feb 22, 2017 7:56 am

Assuming you are on iOS, Unavailable means LapTimer has not received a notification the XGPS has been attached, or connection making failed. To force a reconnect, please send LapTimer to background (Home button) and pull it forward again. In case this doesn't help it will make sense to unpair the XGPS in iOS Bluetooth settings (forget) and pair it again.

Please make sure you do not use Dual's app while using LapTimer. Please kill the app to make sure it is not accessing the accessory in background.

Harry


Image Image Image Image
llan981
20 or more Posts ★★★
20 or more Posts ★★★
Posts: 186
Joined: Sun May 25, 2014 1:52 pm
Has thanked: 2 times
Been thanked: 7 times

Re: XGPS160 issues

Postby llan981 » Mon May 01, 2017 1:00 pm

Harry,
I was at track this weekend and was using my XGPS 160. I close all apps, do the call forwarding for the phone, verify in settings on my go Pro is active on Wi-Fi, and GPS and gopoint by active in Bluetooth. I start at Harry's going to RACE, Settings are green, check the settings all are active and green except calibration and off to the track ago. I had 10 run groups during the weekend, and it wasn't till I got home I realized for every session I had 1 mhz which we know his iPhone only.

Running iPhone 7 OS10.3.1
HLT. 21.0.5
XGPS160 v2.x


gplracerx
20 or more Posts ★★★
20 or more Posts ★★★
Posts: 813
Joined: Thu May 03, 2012 5:26 am
Location: Kingsport, TN USA
Has thanked: 11 times
Been thanked: 30 times

Re: XGPS160 issues

Postby gplracerx » Mon May 01, 2017 4:07 pm

[quoteXGPS160 v2.x][/quote]

That's your problem. You need firmware 1.x, not 2.x. The latest firmware in the 1.x series is 1.5.1.

Go here: http://gps.dualav.com/explore-by-product/xgps160/ and download the 1.x.x firmware update pack and install it from a PC using a USB connection.


nick964
Fewer than 10 Posts
Fewer than 10 Posts
Posts: 1
Joined: Tue Oct 27, 2015 6:28 pm

Re: XGPS160 issues

Postby nick964 » Sat May 06, 2017 8:24 pm

Another follow-up on this. I was having the same problems as the OP with the updated firmware (iphone 6s, ios10.3.1, Laptimer21.0.5). I reverted the xgps160 back to 1.5.1 and everything is working again (after a phone reboot too).

I tried Harry's suggested work-around on page1, but didn't have any luck. At one point, the xgps app wasn't able to connect at all even though iphone>settings showed that the xgps was connected even after reverting back to 1.5.1 firmware. I tried "forget device", reboot the xgps, etc but it wasn't until rebooting the phone that the xgps app was able to connect again. Seems quite finicky to say the least.

Safe bet is to stick with the 1.x firmware.


llan981
20 or more Posts ★★★
20 or more Posts ★★★
Posts: 186
Joined: Sun May 25, 2014 1:52 pm
Has thanked: 2 times
Been thanked: 7 times

Re: XGPS160 issues

Postby llan981 » Tue May 09, 2017 1:51 pm

Harry,
Do you plan to have HLT support the later version of Dual firmware?


gplracerx
20 or more Posts ★★★
20 or more Posts ★★★
Posts: 813
Joined: Thu May 03, 2012 5:26 am
Location: Kingsport, TN USA
Has thanked: 11 times
Been thanked: 30 times

Re: XGPS160 issues

Postby gplracerx » Tue May 09, 2017 3:41 pm

llan981 wrote:Harry,
Do you plan to have HLT support the later version of Dual firmware?


I'm pretty sure the firmware problem isn't with the app, it's with the operating system. Harry can't do much about that. Besides, it's not at all clear that the 2.x and 3.x firmware is in any way superior to the latest 1.x version for iOS.


llan981
20 or more Posts ★★★
20 or more Posts ★★★
Posts: 186
Joined: Sun May 25, 2014 1:52 pm
Has thanked: 2 times
Been thanked: 7 times

Re: XGPS160 issues

Postby llan981 » Tue May 09, 2017 4:23 pm

I used by IPhone DUAL app and did a firmware upgrade and it upgraded my XGPS160 to 2.4.1. Now HLT did not recognize this version at my last race event. Now based on this thread and my call to dual tech support, I am looking for a friend with a PC to downgrade to version 1.5.x


llan981
20 or more Posts ★★★
20 or more Posts ★★★
Posts: 186
Joined: Sun May 25, 2014 1:52 pm
Has thanked: 2 times
Been thanked: 7 times

Re: XGPS160 SOLUTION

Postby llan981 » Fri May 12, 2017 12:43 pm

I spoke with DUAL tech support before I went to track. Bottom line, I have installed DUAL XGPS160 firmware 2.4.1 and the solution was to go into the DUAL SKYPRO Apple APP, SETTINGS - -and under SUPPORTING AN APP WITH OLD DUAL SDK highlight YES. The default is NO.


User avatar
Harry
Site Admin
Site Admin
Posts: 8341
Joined: Sun Sep 12, 2010 10:32 am
Location: Cologne, Germany
Has thanked: 97 times
Been thanked: 347 times
Contact:

Re: XGPS160 issues

Postby Harry » Fri May 12, 2017 8:04 pm

Great if it works, but LapTimer supports both the old and the new SDK (for more than a year).

- Harry


Image Image Image Image
Sonertial
20 or more Posts ★★★
20 or more Posts ★★★
Posts: 22
Joined: Sat Mar 04, 2017 6:01 pm
Has thanked: 2 times
Been thanked: 2 times

Re: XGPS160 issues

Postby Sonertial » Sat May 13, 2017 6:07 pm

For what it's worth, I just got a new XGPS160 yesterday, installed the Dual GPS Skypro app, Settings -> Check Update -> it updated the firmware from 3.4. to 3.4.1.

You say 2.4.1 above? Is that really the case? If so it'd possibly explain your issue.

The "Supporting an App with old Dual SDK" is set to "No" in my case. Harry's Laptimer works perfectly.



Return to “Trouble Shooting”

Who is online

Users browsing this forum: No registered users and 3 guests